#mongod.conf - This File Is Generated by Ansible 

#For documentation of all options, see:
#http://docs.mongodb.org/manual/reference/configuration-options/

#System logs
systemLog.destination: file
systemLog.logAppend: true
systemLog.path: /var/log/mongodb/mongodb.log
systemLog.quiet: true

#Storage
storage.dbPath: /var/lib/mongodb
storage.journal.enabled: true

#Process Management
processManagement.fork: true  # fork and run in background
processManagement.pidFilePath: /var/run/mongodb/mongod.pid  # location of pidfile

#Network
net.port: 27017
net.bindIp: 0.0.0.0  # Listen to local interface only, comment to listen on all interfaces.

net.tls.mode: requireTLS
net.tls.certificateKeyFile: /etc/ssl/mongodb/xxxxxxxxxx.pem
net.tls.disabledProtocols: TLS1_0,TLS1_1
net.tls.CAFile: /etc/ssl/mongodb/cacert.pem
net.tls.allowConnectionsWithoutCertificates: true

# DISABLE OCSP checks for Certificate revocation list
setParameter:
  ocspEnabled: false


#Replication
replication.replSetName: replicaname

#OperationProfiling:

#Sharding:

## Enterprise-Only Options

#AuditLog:
#
#snmp:

#Security
security.authorization: enabled
security.keyFile: /opt/mongodb-keyfile

